<?php
/*
Plugin Name: Smart WordPress
Plugin URI:  https://www.velocious.io/plugins/smart-wordpress/
Description: Speed up WordPress the simple way and configure your Caching-Headers for a faster and more efficient Experience.
Version:     1.0.0
Author:      Georg Griesser
Author URI:  https://www.georggriesser.com
License:     GPL3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

if (!defined('ABSPATH')) {
    exit;
}

use GeorgGriesser\WordPress\Velocious\Smart_WP;

require_once "autoloader.php";

$plugin = new Smart_WP\Plugin();
$plugin->set_default_options();
add_action('template_redirect', array($plugin, 'add_headers'));

$settings_page = new Smart_WP\Settings_Page();
$settings_page->init();

function get_smart_wp_plugin_url()
{
    return plugins_url('', __FILE__);
}

function get_smart_wp_plugin_anuglar_url($path = '')
{
    return plugins_url('angular/' . $path, __FILE__);
}

function get_smart_wp_plugin_style_url($path = '')
{
    return plugins_url('css/' . $path, __FILE__);
}

function get_smart_wp_plugin_script_url($path = '')
{
    return plugins_url('js/' . $path, __FILE__);
}

function get_smart_wp_plugin_img_url($path = '')
{
    return plugins_url('img/' . $path, __FILE__);
}

function get_smart_wp_version()
{
    return get_plugin_data(__FILE__, false, false)['Version'];
}