<?php

namespace GeorgGriesser\WordPress\Velocious\Smart_WP;


class Options_Manager
{

    public static function get_option_configuration()
    {
        return array(
            'add_etag_header' => array(
                'section' => 'smart_wp_section_etag',
                'setting' => 'smart_wp_etag',
                'description' => 'Add ETag Header',
                'description_extended' => 'Check this setting if you want an ETag on your site. (Recommended)',
                'field_type' => 'checkbox',
                'default' => 1
            ),
            'generate_weak_etag' => array(
                'section' => 'smart_wp_section_etag',
                'setting' => 'smart_wp_etag',
                'description' => 'Generate Weak ETag',
                'description_extended' => 'Check this setting if you want to generate a <a href="https://www.velocious.io/plugins/smart-wordpress/faq/#What_is_the_difference_between_a_weak_and_a_strong_ETag">weak ETag</a> instead of a <a href="https://www.velocious.io/plugins/smart-wordpress/faq/#What_is_the_difference_between_a_weak_and_a_strong_ETag">strong ETag</a>. (Recommended)',
                'field_type' => 'checkbox',
                'default' => 1
            ),
            'add_last_modified_header' => array(
                'section' => 'smart_wp_section_last_modified',
                'setting' => 'smart_wp_last_modified',
                'description' => 'Add Last-Modified Header',
                'description_extended' => 'Check this setting if you want a Last-Modified Header on your site.',
                'field_type' => 'checkbox',
                'default' => 1
            ),
            'add_cache_control_header' => array(
                'section' => 'smart_wp_section_cache_control',
                'setting' => 'smart_wp_cache_control',
                'description' => 'Add Cache-Control Header',
                'description_extended' => 'Check this setting if you want a Cache-Control Header on your site. (Recommended)',
                'field_type' => 'checkbox',
                'default' => 1
            ),
            'cache_max_age_seconds' => array(
                'section' => 'smart_wp_section_cache_control',
                'setting' => 'smart_wp_cache_control',
                'description' => 'Maximum Age for Cache (Standard)',
                'description_extended' => 'Set the maximum time in seconds that you want the response to be cached and reused.',
                'field_type' => 'text',
                'default' => 3600
            ),
            'cache_max_age_seconds_for_search_results' => array(
                'section' => 'smart_wp_section_cache_control',
                'setting' => 'smart_wp_cache_control',
                'description' => 'Maximum Age for Cache (Search Results)',
                'description_extended' => 'Set the maximum time in seconds that you want the response to be cached and reused on search result pages',
                'field_type' => 'text',
                'default' => 0
            ),
            'cache_max_age_seconds_for_authenticated_users' => array(
                'section' => 'smart_wp_section_cache_control',
                'setting' => 'smart_wp_cache_control',
                'description' => 'Maximum Age for Cache (Logged In)',
                'description_extended' => 'Set the maximum time in seconds that you want the response to be cached and reused when the user is logged in.',
                'field_type' => 'text',
                'default' => 0
            ),
            'cache_old_content_threshold_seconds' => array(
                'section' => 'smart_wp_section_cache_control',
                'setting' => 'smart_wp_cache_control',
                'description' => 'Old content Threshold',
                'description_extended' => 'A piece of content older than the "Old content threshold" will be regarded as old content. (<a href="https://www.velocious.io/plugins/smart-wordpress/faq/#What_is_8220Old_Content8221">learn more</a>)',
                'field_type' => 'text',
                'default' => 0
            ),
            'cache_old_content_max_age_seconds' => array(
                'section' => 'smart_wp_section_cache_control',
                'setting' => 'smart_wp_cache_control',
                'description' => 'Maximum Age for Cache (old content)',
                'description_extended' => 'Set the maximum time in seconds that you want the response to be cached and reused when the content is regarded as old.',
                'field_type' => 'text',
                'default' => 0
            ),
            'remove_pre_existing_headers' => array(
                'section' => 'smart_wp_section_pre_existing_headers',
                'setting' => 'smart_wp_pre_existing_headers',
                'description' => 'Remove existing Headers',
                'description_extended' => 'Check this setting if you want to remove any older versions of the headers generated by this plugin. (<a href="https://www.velocious.io/plugins/smart-wordpress/faq/#What_will_8220remove_existing_Headers8221_do">learn more</a>)',
                'field_type' => 'checkbox',
                'default' => 0
            ),
        );
    }
}