<?php

namespace GeorgGriesser\WordPress\Velocious\Smart_WP;

use GeorgGriesser\WordPress\Velocious\Smart_WP\Header_Manager\Archive_Header_Manager;
use GeorgGriesser\WordPress\Velocious\Smart_WP\Header_Manager\Object_Header_Manager;

class Plugin
{
    function add_headers()
    {

        if (defined('DOING_AJAX') && DOING_AJAX) {

            return;
        } elseif (defined('XMLRPC_REQUEST') && XMLRPC_REQUEST) {

            return;
        } elseif (defined('REST_REQUEST') && REST_REQUEST) {

            return;
        } elseif (is_admin()) {

            return;
        }


        $options = $this->get_options();

        $archive_header_manager = new Archive_Header_Manager($options);
        $object_header_manager = new Object_Header_Manager($options);

        if (is_feed()) {
            $post = $this->get_post_archive();

            if (false === $post) {
                return;
            }

            $archive_header_manager->set_headers($post);
            $archive_header_manager->send_headers();

        } elseif (is_singular()) {
            $object_header_manager->set_headers($this->get_post_object());
            $object_header_manager->send_headers();

        } elseif (is_archive() || is_search() || is_home()) {
            $post = $this->get_post_archive();

            if (false === $post) {
                return;
            }

            $archive_header_manager->set_headers($post);
            $object_header_manager->send_headers();
        }
    }

    public function set_default_options()
    {
        $default_options = Options_Manager::get_option_configuration();

        $new_options = array();

        foreach ($default_options as $key => $default_option) {
            $new_options[$key] = $default_option['default'];
        }

        add_option('smart_wp_settings', $new_options);
    }

    public function delete_options()
    {
        delete_option('smart_wp_settings');
    }


    private function get_options()
    {

        $options = get_option('smart_wp_settings');
        $options = apply_filters('smart_wp_options', $options);

        return $options;
    }

    private function get_post_archive() {
        global $posts;
        if (empty($posts)) {
            return false;
        }
        return $posts[0];
    }

    private function get_post_object() {
        return get_queried_object();
    }
}