<?php

namespace GeorgGriesser\WordPress\Velocious\Smart_WP;


class String_Manager
{

    public static function print_intro($section_name)
    {

        $strings = self::get_intro_strings($section_name);

        printf(
            '
                <h1>%1$s</h1>
                %2$s
            ',
            $strings['heading'],
            $strings['intro']
        );
    }

    private static function get_intro_strings($section_name)
    {
        $strings = array(
            'etag' => array(
                'heading' => "ETag settings",
                'intro' => "<p>The <a href='https://www.velocious.io/plugins/smart-wordpress/faq/#What_is_the_ETag-Header'>ETag</a> (or Entity Tag) ist an HTTP Header used to validate cached responses. Its unique value is generated by combining different properties of your content (ID, Content, Publishing Date, …).</a></p>"
            ),
            'last-modified' => array(
                'heading' => "Last-Modified settings",
                'intro' => "<p>The <a href='https://www.velocious.io/plugins/smart-wordpress/faq/#What_is_the_Last-Modified-Header'>Last-Modified header</a> is an HTTP Header that displays the date, and the time at wich the current resource was last modified. This header is used to check if a cached version of a resource differs from its online version.</p>"
            ),
            'cache-control' => array(
                'heading' => "Cache-Control settings",
                'intro' => "<p>The <a href='https://www.velocious.io/plugins/smart-wordpress/faq/#What_is_the_Cache-Control-Header'>Cache-Control Header</a> is an HTTP header that specifies two things: The period a resource should be cached and the way this caching should take place.</p>"
            ),
            'pre-existing-headers' => array(
                'heading' => "Pre existing Headers settings",
                'intro' => "<p>In some cases, your WordPress installation already generates some of the headers provided by this plugin. To get rid of them, just use this option and delete any of the headers supported by this plugin before adding the new ones.</p>"
            )
        );

        return $strings[$section_name];
    }
}